スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

perlビルド時に一部のモジュールを抜く

自分用のメモ。

perlbrew install perl-5.8.0 -U=i_db
とか。これだとDB_Fileがインストールされない。

INSTALLを読もう。

スポンサーサイト

perl-5.8.0をビルドしたら

諸般の大人の事情で久々にperl-5.8.0をビルドしようとしたら、
No rule to make target `<command-line>', needed by `miniperlmain.o'
とかいわれてコケた。 色々しらべてみたら、makedepend.SHの
        -e '/^#.*<command line>/d' \
の下あたりに
        -e '/^#.*<command-line>/d' \
と、追加してやればよさげ。ってか上手くいった。一部テストが通らないけど、別の理由と思われ。

makedependの最中にcomannd-lineとか入ってしまうのが悪いらしく、gccのバージョンが関係あるっぽいので書いとく。

% gcc -v
Using built-in specs.
Target: i686-apple-darwin10
Configured with: /var/tmp/gcc/gcc-5664~105/src/configure --disable-checking --enable-werror --prefix=/usr --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ --with-slibdir=/usr/lib --build=i686-apple-darwin10 --program-prefix=i686-apple-darwin10- --host=x86_64-apple-darwin10 --target=i686-apple-darwin10 --with-gxx-include-dir=/include/c++/4.2.1
Thread model: posix
gcc version 4.2.1 (Apple Inc. build 5664)
参考: http://www.nntp.perl.org/group/perl.perl5.porters/2008/02/msg133873.html

追記:なんだ、perl-5.12.1のmakedpend.SHはこうなってますなorz.

追記その2:テストの時にぶっ壊れたutf8だと言われてしまう。

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。